summaryrefslogtreecommitdiffstats
path: root/source/n/openvpn/openvpn.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/n/openvpn/openvpn.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to '')
-rwxr-xr-xsource/n/openvpn/openvpn.SlackBuild52
1 files changed, 37 insertions, 15 deletions
diff --git a/source/n/openvpn/openvpn.SlackBuild b/source/n/openvpn/openvpn.SlackBuild
index 45c1a17d8..56e344c47 100755
--- a/source/n/openvpn/openvpn.SlackBuild
+++ b/source/n/openvpn/openvpn.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006, Alan Hicks, Lizella, GA
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=openvpn
-VERSION=2.0.9
-ARCH=${ARCH:-x86_64}
+PKGNAM=openvpn
+VERSION=2.1.1
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -38,18 +47,21 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/pkg-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
+cd $PKGNAM-$VERSION || exit 1
# Fix ownership and permissions inside the source tarball.
# It's appalling how many projects have 777 permissions or
@@ -68,6 +80,8 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/openvpn \
--localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/openvpn-${VERSION} \
--enable-lzo \
--build=$ARCH-slackware-linux
@@ -87,7 +101,7 @@ chmod 644 $PKG/etc/openvpn/openvpn.conf.sample
# Let folks know about the other configs, if they haven't found them.
# They might even find the documentation there useful. ;-)
cat << EOF > $PKG/etc/openvpn/README.TXT
-Have a look in /usr/doc/$PRGNAM-$VERSION/sample-config-files
+Have a look in /usr/doc/$PKGNAM-$VERSION/sample-config-files
for some more examples of how to configure OpenVPN. You'll
need to add something to your /etc/rc.d/rc.local to start
OpenVPN, as well as to tell it where to find its config file.
@@ -97,8 +111,8 @@ See "man openvpn" and the other docs for more information.
EOF
# Add a link, too:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/sample-config-files
-( cd $PKG/usr/doc/$PRGNAM-$VERSION/sample-config-files
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/sample-config-files
+( cd $PKG/usr/doc/$PKGNAM-$VERSION/sample-config-files
ln -sf /etc/openvpn/openvpn.conf.sample .
)
@@ -109,14 +123,22 @@ if [ -d $PKG/usr/man ]; then
)
fi
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING COPYRIGHT.GPL ChangeLog INSTALL INSTALL-win32.txt \
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS COPYING COPYRIGHT.GPL INSTALL INSTALL-win32.txt \
NEWS PORTS README sample-config-files sample-keys sample-scripts easy-rsa \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz